import { Translator } from '../../l10n';
export declare class LoadingService {
    readonly translator: Translator;
    protected container: HTMLDivElement;
    protected content: HTMLDivElement;
    constructor(translator: Translator);
    init(): void;
    complete(): void;
    update(loaded: number, total: number): void;
    finish(): void;
    destroy(): void;
    render(rootContainer: HTMLElement): void;
}
